BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions
BSDKW::BTextureLoader Class Reference

Standalone class that let user start a building texture loading. More...

List of all members.

## Public Member Functions
void | Dispose ()
BTextureLoader | Clone ()
| Let user create freely a copy of this loader.
BLerror | LoadTexture (out Bitmap image, int quality)
| Requests SDK to load this image.
string | HashCode ()
| Returns a hash-code.
bool | Multiresolution ()
| Returns whether this texture loader supports resolutions giving different images versions for each quality levels.

## Detailed Description

Standalone class that let user start a building texture loading.

## Member Function Documentation

BTextureLoader BSDKW::BTextureLoader::Clone | ( |  | ) | `[inline]`

Let user create freely a copy of this loader.

User should deallocate this object using delete operator.

Returns:
  A copy of this loader

void BSDKW::BTextureLoader::Dispose | ( |  | ) | `[inline]`

string BSDKW::BTextureLoader::HashCode | ( |  | ) | `[inline]`

Returns a hash-code.

Two TextureLoaders will load the same texture if they return the same hash-code.

Returns:
  HashCode value in a char-array

BLerror BSDKW::BTextureLoader::LoadTexture | ( | out Bitmap | image,
|  | int | quality
| ) |  | `[inline]`

Requests SDK to load this image.

This method does not return until object loading is completed (success or failed)

Parameters:

  image | User BImage where to write the image into
  quality | Image quality - from 0 (lower quality) to 3 (highest quality)

Returns:
  Returns 0 if success, and a non-zero otherwise

bool BSDKW::BTextureLoader::Multiresolution | ( |  | ) | `[inline]`

Returns whether this texture loader supports resolutions giving different images versions for each quality levels.

Returns:
  Returns true if this texture supports multiresolution, and false otherwise

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events